### Property

# Camel Folder:mark-seen

since: 3.32

#### Declaration

    property mark-seen: Camel.ThreeState [ read, write, construct ]

#### Description [src]

A `CamelThreeState` persistent option of the folder, which can override global option to mark messages as seen after certain interval.

Type:`CamelThreeState`

Available since: 3.32

Default value | CAMEL_THREE_STATE_INCONSISTENT
Getter method | `camel_folder_get_mark_seen()`
Setter method | `camel_folder_set_mark_seen()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no